com.io7m.jcamera

## Class JCameraViewMatrix

- java.lang.Object
- - com.io7m.jcamera.JCameraViewMatrix

-     @EqualityReference
      public final class JCameraViewMatrix
      extends Object

  Functions to produce view matrices.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `makeViewMatrix(JCameraContext ctx, com.io7m.jtensors.Matrix4x4FType m, com.io7m.jtensors.VectorReadable3FType position, com.io7m.jtensors.VectorReadable3FType right, com.io7m.jtensors.VectorReadable3FType up, com.io7m.jtensors.VectorReadable3FType forward)` Construct a view matrix from the given position, forward, up, and, right vectors.
    `static <T0,T1> void` | `makeViewPMatrix(JCameraContext ctx, com.io7m.jtensors.parameterized.PMatrix4x4FType<T0,T1> m, com.io7m.jtensors.VectorReadable3FType position, com.io7m.jtensors.VectorReadable3FType right, com.io7m.jtensors.VectorReadable3FType up, com.io7m.jtensors.VectorReadable3FType forward)` Construct a view matrix from the given position, forward, up, and, right vectors.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### makeViewMatrix

          public static void makeViewMatrix(JCameraContext ctx,
                                            com.io7m.jtensors.Matrix4x4FType m,
                                            com.io7m.jtensors.VectorReadable3FType position,
                                            com.io7m.jtensors.VectorReadable3FType right,
                                            com.io7m.jtensors.VectorReadable3FType up,
                                            com.io7m.jtensors.VectorReadable3FType forward)

      Construct a view matrix from the given position, forward, up, and, right vectors.
      Parameters:
        `ctx` - Preallocated storage
        `m` - The output matrix
        `position` - The position
        `right` - The right vector
        `up` - The up vector
        `forward` - The forward vector

    - #### makeViewPMatrix

          public static <T0,T1> void makeViewPMatrix(JCameraContext ctx,
                                                     com.io7m.jtensors.parameterized.PMatrix4x4FType<T0,T1> m,
                                                     com.io7m.jtensors.VectorReadable3FType position,
                                                     com.io7m.jtensors.VectorReadable3FType right,
                                                     com.io7m.jtensors.VectorReadable3FType up,
                                                     com.io7m.jtensors.VectorReadable3FType forward)

      Construct a view matrix from the given position, forward, up, and, right vectors.
      Type Parameters:
        `T0` - The source coordinate space
        `T1` - The target coordinate space
      Parameters:
        `ctx` - Preallocated storage
        `m` - The output matrix
        `position` - The position
        `right` - The right vector
        `up` - The up vector
        `forward` - The forward vector

Copyright © 2016 <code@io7m.com> http://io7m.com